### Virtual Method

# Gdk Paintable get_intrinsic_aspect_ratio

#### Declaration [src]

    double
    get_intrinsic_aspect_ratio (
      GdkPaintable* paintable
    )

#### Description [src]

Gets the preferred aspect ratio the `paintable` would like to be displayed at.

The aspect ratio is the width divided by the height, so a value of 0.5 means that the `paintable` prefers to be displayed twice as high as it is wide. Consumers of this interface can use this to preserve aspect ratio when displaying the paintable.

This is a purely informational value and does not in any way limit the values that may be passed to gdk_paintable_snapshot().

Usually when a `paintable` returns nonzero values from gdk_paintable_get_intrinsic_width() and gdk_paintable_get_intrinsic_height() the aspect ratio should conform to those values, though that is not required.

If the `paintable` does not have a preferred aspect ratio, it returns 0. Negative values are never returned.

#### Return value

Returns: | `double`
| The intrinsic aspect ratio of `paintable` or 0 if none.